Bug 205060 - (perl-Sub-Name) Review Request: perl-Sub-Name - Name -- or rename -- a sub
Review Request: perl-Sub-Name - Name -- or rename -- a sub
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/Sub-Name/
:
Depends On:
Blocks: FE-ACCEPT perl-Class-MOP perl-Moose
  Show dependency treegraph
 
Reported: 2006-09-03 00:18 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 10:57:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-03 00:18:00 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Sub-Name-0.02-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Sub-Name.spec

Description:
This module allows one to "name" or rename subroutines, including anonymous
ones.

Note that this is mainly for aid in debugging; you still cannot call the sub
by the new name (w/o some deep magic).
Comment 1 Patrice Dumas 2006-09-06 04:24:52 EDT
* rpmlint is silent
* package named according to guidelines
* free software, without licence files included
* meets packaging guidelines
* spec legible
* source match upstream
a47e1f1fe88a0c85b7ecc0d150039616  Sub-Name-0.02.tar.gz
* sane provides (providing Name.so is certainly wrong, but should be
  handled automatically by provide script)
Provides: Name.so perl(Sub::Name) = 0.02
* %files right

APPROVED

Comment 2 Patrice Dumas 2006-09-06 04:28:42 EDT
As a side note, it is possible that the -- in the summmary aren't
rendered nicely in all the softs using the summary, maybe they
could be replaced with some ,.
Comment 3 Chris Weyl 2006-09-06 10:57:53 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review! :)
Comment 4 Chris Weyl 2007-04-19 18:16:15 EDT
Please branch for EL-4, EL-5.
Comment 5 Chris Weyl 2007-04-19 18:16:38 EDT
Please branch for EL-4, EL-5.

Note You need to log in before you can comment on or make changes to this bug.